<?php
/**
 * Plugin Name: YOUR_PLUGIN_NAME Ordernumber extension for WC
 * Plugin URI: http://open-tools.net/woocommerce/advanced-ordernumbers-for-woocommerce.html
 * Description: A sample template for an extension plugin for the OpenTools Basic / Advanced Ordernumber for WooCommerce plugin. This extension plugin can provide additional variables, modify existing variables and post-process the generated numbers.
 * Version: 1.0
 * Author: Open Tools
 * Author URI: http://open-tools.net
 * Text Domain: woocommerce-ordernumbers-extension-YOUR_PLUGIN_NAME
 * License: GPL2+
 * Network: true
*/

if ( ! defined( 'ABSPATH' ) ) { 
	exit; // Exit if accessed directly
}



/** Filter to add variables to be used in the number formats
 *  You can add new variables to the $reps array or modify existing ones. They will be directly 
 *  available in all formats. This filter will be called whenever the ordernumber plugin creates a 
 *  number. All built-in variables are already set in the $reps variable, so you can even override
 *  the built-in variables by changing $reps accordingly.
 *  $details contains the order details
 *  $nrtype is "ordernumber" or "invoice"
 *
 *  Returns the new array of variables (even if unmodified!)
 */
add_filter('opentools_ordernumber_replacements', "ordernumber_replacements_YOUR_PLUGIN_NAME", 10, 3);

function ordernumber_replacements_YOUR_PLUGIN_NAME($reps, $details, $nrtype) {
    $userid = $details->get_user_id();

    // Case 1: Return the number of orders this user has already posted (+1, 
    //         because the current order is not yet registered with WC!)
    $reps['[userordercount]'] = wc_get_customer_order_count($userid);

    // Case 2: Add a [Type] variable that holds either "ordernumber" or "invoice"
    $reps['[type]'] = $nrtype;

    // Case 3: Modify an existing variable:
        $reps['[second]'] = $reps['[second]'] + 15;

    return $reps;
}
